package com.ruoyi.system.domain.project;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目上报对象 bm_project_report
 * 
 * @author ruoyi
 * @date 2021-05-31
 */
public class BmProjectReport extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 项目上报id */
    private Long id;
    /**
     * 投资方
     */
    @Excel(name = "投资方")
    private String ivestor;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;

    /** 投资额度 */
    @Excel(name = "投资额度")
    private String investmentQuota;

    /** 联系人 */
    @Excel(name = "投资方联系人")
    private String contactsName;

    /** 联系方式 */
    @Excel(name = "投资方联系方式")
    private String contactsPhone;
    /**
     * 引荐单位
     */
    @Excel(name = "项目引荐单位")
    private String recommendCompany;
    /**
     * 引荐方联系方式
     */
    @Excel(name = "引荐方联系方式")
    private String recommendPhone;

    /** 项目介绍 */
    //@Excel(name = "项目介绍")
    private String projectIntroduction;

    /** 上报状态 */
    @Excel(name = "上报状态")
    private String reportStatus;

    /** 附件url */
    //@Excel(name = "附件url")
    private String url;

    /** 项目id* */
    //@Excel(name = "项目id*")
    private Long bmProjectId;


    public String getIvestor() {
        return ivestor;
    }

    public void setIvestor(String ivestor) {
        this.ivestor = ivestor;
    }

    public String getRecommendCompany() {
        return recommendCompany;
    }

    public void setRecommendCompany(String recommendCompany) {
        this.recommendCompany = recommendCompany;
    }

    public String getRecommendPhone() {
        return recommendPhone;
    }

    public void setRecommendPhone(String recommendPhone) {
        this.recommendPhone = recommendPhone;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setProjectName(String projectName) 
    {
        this.projectName = projectName;
    }

    public String getProjectName() 
    {
        return projectName;
    }
    public void setInvestmentQuota(String investmentQuota) 
    {
        this.investmentQuota = investmentQuota;
    }

    public String getInvestmentQuota() 
    {
        return investmentQuota;
    }
    public void setContactsName(String contactsName) 
    {
        this.contactsName = contactsName;
    }

    public String getContactsName() 
    {
        return contactsName;
    }
    public void setContactsPhone(String contactsPhone) 
    {
        this.contactsPhone = contactsPhone;
    }

    public String getContactsPhone() 
    {
        return contactsPhone;
    }
    public void setProjectIntroduction(String projectIntroduction) 
    {
        this.projectIntroduction = projectIntroduction;
    }

    public String getProjectIntroduction() 
    {
        return projectIntroduction;
    }
    public void setReportStatus(String reportStatus) 
    {
        this.reportStatus = reportStatus;
    }

    public String getReportStatus() 
    {
        return reportStatus;
    }
    public void setUrl(String url) 
    {
        this.url = url;
    }

    public String getUrl() 
    {
        return url;
    }
    public void setBmProjectId(Long bmProjectId)
    {
        this.bmProjectId = bmProjectId;
    }

    public Long getBmProjectId()
    {
        return bmProjectId;
    }



    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectName", getProjectName())
            .append("investmentQuota", getInvestmentQuota())
            .append("contactsName", getContactsName())
            .append("contactsPhone", getContactsPhone())
            .append("projectIntroduction", getProjectIntroduction())
            .append("reportStatus", getReportStatus())
            .append("url", getUrl())
            .append("bmProjectId", getBmProjectId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("isDel", getIsDel())
            .append("remark", getRemark())
            .toString();
    }
}
